Check-in [b9a63425fb]
Overview
Comment:Updated ARM and Static internal build scripts to use Minimal build script

Added internal test script

Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:b9a63425fbd1ea6816ce3c4df8a7e4463cffadc3
User & Date: rkeene on 2010-09-26 04:46:05
Other Links: manifest | tags
Context
2010-09-26
04:46
Added internal testing script check-in: b180e9a80f user: rkeene tags: trunk
04:46
Updated ARM and Static internal build scripts to use Minimal build script

Added internal test script check-in: b9a63425fb user: rkeene tags: trunk

04:46
Updated to disable threads (crashes with Diet Libc) in internal build script check-in: bf92561b68 user: rkeene tags: trunk
Changes

Modified build/make-kit-arm from [cc63b53cf9] to [78d28dde77].

     4      4   AR=mipsel-linux-uclibc-ar
     5      5   CC=mipsel-linux-uclibc-gcc
     6      6   CXX=false
     7      7   RANLIB=mipsel-linux-uclibc-ranlib
     8      8   STRIP=mipsel-linux-uclibc-strip
     9      9   export PATH AR CC CXX RANLIB STRIP
    10     10   
    11         -# Build minimalistic tclkit
    12         -KITCREATOR_PKGS=" "
    13         -KITCREATOR_MINENCODINGS='true' 
    14         -KITCREATOR_MINBUILD='true' 
    15         -export KITCREATOR_PKGS KITCREATOR_MINENCODINGS KITCREATOR_MINBUILD
    16         -
    17         -./kitcreator "$@" --host=mipsel-linux-uclibc
           11  +./build/make-minkit "$@" --host=mipsel-linux-uclibc

Modified build/make-minkit-static from [19c1f7c112] to [05272e8f15].

     1      1   #! /bin/sh
     2      2   
     3      3   # Set C compiler to diet libc
     4      4   CC='diet gcc'
     5      5   export CC
     6      6   
     7         -# Build minimalistic tclkit
     8         -KITCREATOR_PKGS=" "
     9         -KITCREATOR_MINENCODINGS='true' 
    10         -KITCREATOR_MINBUILD='true' 
    11         -export KITCREATOR_PKGS KITCREATOR_MINENCODINGS KITCREATOR_MINBUILD
    12         -
    13      7   rm -rf tcl/patchscripts
    14      8   mkdir tcl/patchscripts || exit 1
    15      9   
    16     10   cat << \__EOF__ > tcl/patchscripts/dietlibc.sh
    17     11   sed 's@^# *include *<string.h>$@&@;T s;p;s@string.h@strings.h@;:s' generic/tclInt.h > generic/tclInt.h.new && cat generic/tclInt.h.new > generic/tclInt.h
    18     12   rm -f generic/tclInt.h.new
    19     13   __EOF__
    20     14   
    21         -./kitcreator "$@" --disable-load --disable-threads
           15  +./build/make-minkit "$@" --disable-load --disable-threads
    22     16   
    23     17   rm -rf tcl/patchscripts
    24     18   
    25     19   exit 0

Added build/test/test version [cc021be514].

            1  +#! /bin/bash
            2  +
            3  +VERSIONS="8.4.19 8.5.9 cvs_HEAD"
            4  +
            5  +for x in 1 2 3 __fail__; do
            6  +	if [ "${x}" = "${fail}" ]; then
            7  +		echo 'Unable to find KitCreator, aborting.' >&2
            8  +
            9  +		exit 1
           10  +	fi
           11  +
           12  +	if [ -x kitcreator ]; then
           13  +		break
           14  +	fi
           15  +
           16  +	cd ..
           17  +done
           18  +
           19  +ROOTDIR="$(pwd)"
           20  +TESTDIR="${ROOTDIR}/build/test"
           21  +export ROOTDIR TESTDIR
           22  +
           23  +rm -f "${TESTDIR}"/tclkit-*
           24  +
           25  +failed=""
           26  +for kit in normal threaded min static win32 arm; do
           27  +	kitcreator="./kitcreator"
           28  +	args=""
           29  +	runnable="1"
           30  +
           31  +	case "${kit}" in
           32  +		normal)
           33  +			true
           34  +			;;
           35  +		threaded)
           36  +			args="--enable-threads"
           37  +			;;
           38  +		min)
           39  +			kitcreator="./build/make-minkit"
           40  +			;;
           41  +		static)
           42  +			kitcreator="./build/make-minkit-static"
           43  +			;;
           44  +		win32)
           45  +			kitcreator="./build/make-kit-win32"
           46  +			runnable="0"
           47  +			;;
           48  +		arm)
           49  +			kitcreator="./build/make-kit-arm"
           50  +			runnable="0"
           51  +			;;
           52  +	esac
           53  +
           54  +
           55  +	for version in ${VERSIONS}; do
           56  +		createdkit="tclkit-${version}"
           57  +		outputname="${TESTDIR}/tclkit-${version}-${kit}"
           58  +
           59  +		"${kitcreator}" "${version}" ${args}
           60  +
           61  +		if [ ! -f "${createdkit}" ]; then
           62  +			echo "Failed to create kit ${version}/${kit}" >&2
           63  +
           64  +			failed="${failed} ${version}/${kit}-build"
           65  +
           66  +			continue
           67  +		fi
           68  +
           69  +		mv "${createdkit}" "${outputname}"
           70  +
           71  +		if [ "${runnable}" != "1" ]; then
           72  +			continue
           73  +		fi
           74  +
           75  +
           76  +		scriptid=0
           77  +		for testscp in 'exit 0' 'if {[::tcl::pkgconfig get 64bit] == 0} { exit 0 } else { exit 1}'; do
           78  +			scriptid=$[${scriptid} + 1]
           79  +			if ! echo "${testscp}" | "${outputname}" >/dev/null 2>/dev/null; then
           80  +				echo "Script failed: ${testscp} on ${version}/${kit}" >&2
           81  +
           82  +				failed="${failed} ${version}/${kit}-test-${scriptid}"
           83  +
           84  +				continue
           85  +			fi
           86  +		done
           87  +	done
           88  +done
           89  +
           90  +if [ -n "${failed}" ]; then
           91  +	echo "Failed: ${failed}"
           92  +fi